package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.List;

public class CwHsOutcwZqxxExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CwHsOutcwZqxxExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andLZqnmIsNull() {
            addCriterion("L_ZQNM is null");
            return (Criteria) this;
        }

        public Criteria andLZqnmIsNotNull() {
            addCriterion("L_ZQNM is not null");
            return (Criteria) this;
        }

        public Criteria andLZqnmEqualTo(Integer value) {
            addCriterion("L_ZQNM =", value, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmNotEqualTo(Integer value) {
            addCriterion("L_ZQNM <>", value, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmGreaterThan(Integer value) {
            addCriterion("L_ZQNM >", value, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_ZQNM >=", value, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmLessThan(Integer value) {
            addCriterion("L_ZQNM <", value, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmLessThanOrEqualTo(Integer value) {
            addCriterion("L_ZQNM <=", value, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmIn(List<Integer> values) {
            addCriterion("L_ZQNM in", values, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmNotIn(List<Integer> values) {
            addCriterion("L_ZQNM not in", values, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmBetween(Integer value1, Integer value2) {
            addCriterion("L_ZQNM between", value1, value2, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andLZqnmNotBetween(Integer value1, Integer value2) {
            addCriterion("L_ZQNM not between", value1, value2, "lZqnm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmIsNull() {
            addCriterion("VC_ZQDM is null");
            return (Criteria) this;
        }

        public Criteria andVcZqdmIsNotNull() {
            addCriterion("VC_ZQDM is not null");
            return (Criteria) this;
        }

        public Criteria andVcZqdmEqualTo(String value) {
            addCriterion("VC_ZQDM =", value, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmNotEqualTo(String value) {
            addCriterion("VC_ZQDM <>", value, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmGreaterThan(String value) {
            addCriterion("VC_ZQDM >", value, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmGreaterThanOrEqualTo(String value) {
            addCriterion("VC_ZQDM >=", value, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmLessThan(String value) {
            addCriterion("VC_ZQDM <", value, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmLessThanOrEqualTo(String value) {
            addCriterion("VC_ZQDM <=", value, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmLike(String value) {
            addCriterion("VC_ZQDM like", value, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmNotLike(String value) {
            addCriterion("VC_ZQDM not like", value, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmIn(List<String> values) {
            addCriterion("VC_ZQDM in", values, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmNotIn(List<String> values) {
            addCriterion("VC_ZQDM not in", values, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmBetween(String value1, String value2) {
            addCriterion("VC_ZQDM between", value1, value2, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqdmNotBetween(String value1, String value2) {
            addCriterion("VC_ZQDM not between", value1, value2, "vcZqdm");
            return (Criteria) this;
        }

        public Criteria andVcZqjcIsNull() {
            addCriterion("VC_ZQJC is null");
            return (Criteria) this;
        }

        public Criteria andVcZqjcIsNotNull() {
            addCriterion("VC_ZQJC is not null");
            return (Criteria) this;
        }

        public Criteria andVcZqjcEqualTo(String value) {
            addCriterion("VC_ZQJC =", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcNotEqualTo(String value) {
            addCriterion("VC_ZQJC <>", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcGreaterThan(String value) {
            addCriterion("VC_ZQJC >", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcGreaterThanOrEqualTo(String value) {
            addCriterion("VC_ZQJC >=", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcLessThan(String value) {
            addCriterion("VC_ZQJC <", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcLessThanOrEqualTo(String value) {
            addCriterion("VC_ZQJC <=", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcLike(String value) {
            addCriterion("VC_ZQJC like", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcNotLike(String value) {
            addCriterion("VC_ZQJC not like", value, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcIn(List<String> values) {
            addCriterion("VC_ZQJC in", values, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcNotIn(List<String> values) {
            addCriterion("VC_ZQJC not in", values, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcBetween(String value1, String value2) {
            addCriterion("VC_ZQJC between", value1, value2, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andVcZqjcNotBetween(String value1, String value2) {
            addCriterion("VC_ZQJC not between", value1, value2, "vcZqjc");
            return (Criteria) this;
        }

        public Criteria andLSclbIsNull() {
            addCriterion("L_SCLB is null");
            return (Criteria) this;
        }

        public Criteria andLSclbIsNotNull() {
            addCriterion("L_SCLB is not null");
            return (Criteria) this;
        }

        public Criteria andLSclbEqualTo(Integer value) {
            addCriterion("L_SCLB =", value, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbNotEqualTo(Integer value) {
            addCriterion("L_SCLB <>", value, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbGreaterThan(Integer value) {
            addCriterion("L_SCLB >", value, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_SCLB >=", value, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbLessThan(Integer value) {
            addCriterion("L_SCLB <", value, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbLessThanOrEqualTo(Integer value) {
            addCriterion("L_SCLB <=", value, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbIn(List<Integer> values) {
            addCriterion("L_SCLB in", values, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbNotIn(List<Integer> values) {
            addCriterion("L_SCLB not in", values, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbBetween(Integer value1, Integer value2) {
            addCriterion("L_SCLB between", value1, value2, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLSclbNotBetween(Integer value1, Integer value2) {
            addCriterion("L_SCLB not between", value1, value2, "lSclb");
            return (Criteria) this;
        }

        public Criteria andLZqlbIsNull() {
            addCriterion("L_ZQLB is null");
            return (Criteria) this;
        }

        public Criteria andLZqlbIsNotNull() {
            addCriterion("L_ZQLB is not null");
            return (Criteria) this;
        }

        public Criteria andLZqlbEqualTo(Integer value) {
            addCriterion("L_ZQLB =", value, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbNotEqualTo(Integer value) {
            addCriterion("L_ZQLB <>", value, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbGreaterThan(Integer value) {
            addCriterion("L_ZQLB >", value, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_ZQLB >=", value, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbLessThan(Integer value) {
            addCriterion("L_ZQLB <", value, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbLessThanOrEqualTo(Integer value) {
            addCriterion("L_ZQLB <=", value, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbIn(List<Integer> values) {
            addCriterion("L_ZQLB in", values, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbNotIn(List<Integer> values) {
            addCriterion("L_ZQLB not in", values, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbBetween(Integer value1, Integer value2) {
            addCriterion("L_ZQLB between", value1, value2, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLZqlbNotBetween(Integer value1, Integer value2) {
            addCriterion("L_ZQLB not between", value1, value2, "lZqlb");
            return (Criteria) this;
        }

        public Criteria andLImportFlagIsNull() {
            addCriterion("L_IMPORT_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andLImportFlagIsNotNull() {
            addCriterion("L_IMPORT_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andLImportFlagEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG =", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagNotEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG <>", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagGreaterThan(Integer value) {
            addCriterion("L_IMPORT_FLAG >", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG >=", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagLessThan(Integer value) {
            addCriterion("L_IMPORT_FLAG <", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagLessThanOrEqualTo(Integer value) {
            addCriterion("L_IMPORT_FLAG <=", value, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagIn(List<Integer> values) {
            addCriterion("L_IMPORT_FLAG in", values, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagNotIn(List<Integer> values) {
            addCriterion("L_IMPORT_FLAG not in", values, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagBetween(Integer value1, Integer value2) {
            addCriterion("L_IMPORT_FLAG between", value1, value2, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andLImportFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("L_IMPORT_FLAG not between", value1, value2, "lImportFlag");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeIsNull() {
            addCriterion("VC_IMPORT_DESCRIBE is null");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeIsNotNull() {
            addCriterion("VC_IMPORT_DESCRIBE is not null");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeEqualTo(String value) {
            addCriterion("VC_IMPORT_DESCRIBE =", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeNotEqualTo(String value) {
            addCriterion("VC_IMPORT_DESCRIBE <>", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeGreaterThan(String value) {
            addCriterion("VC_IMPORT_DESCRIBE >", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeGreaterThanOrEqualTo(String value) {
            addCriterion("VC_IMPORT_DESCRIBE >=", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeLessThan(String value) {
            addCriterion("VC_IMPORT_DESCRIBE <", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeLessThanOrEqualTo(String value) {
            addCriterion("VC_IMPORT_DESCRIBE <=", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeLike(String value) {
            addCriterion("VC_IMPORT_DESCRIBE like", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeNotLike(String value) {
            addCriterion("VC_IMPORT_DESCRIBE not like", value, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeIn(List<String> values) {
            addCriterion("VC_IMPORT_DESCRIBE in", values, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeNotIn(List<String> values) {
            addCriterion("VC_IMPORT_DESCRIBE not in", values, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeBetween(String value1, String value2) {
            addCriterion("VC_IMPORT_DESCRIBE between", value1, value2, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andVcImportDescribeNotBetween(String value1, String value2) {
            addCriterion("VC_IMPORT_DESCRIBE not between", value1, value2, "vcImportDescribe");
            return (Criteria) this;
        }

        public Criteria andLFlagIsNull() {
            addCriterion("L_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andLFlagIsNotNull() {
            addCriterion("L_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andLFlagEqualTo(Integer value) {
            addCriterion("L_FLAG =", value, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagNotEqualTo(Integer value) {
            addCriterion("L_FLAG <>", value, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagGreaterThan(Integer value) {
            addCriterion("L_FLAG >", value, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("L_FLAG >=", value, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagLessThan(Integer value) {
            addCriterion("L_FLAG <", value, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagLessThanOrEqualTo(Integer value) {
            addCriterion("L_FLAG <=", value, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagIn(List<Integer> values) {
            addCriterion("L_FLAG in", values, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagNotIn(List<Integer> values) {
            addCriterion("L_FLAG not in", values, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagBetween(Integer value1, Integer value2) {
            addCriterion("L_FLAG between", value1, value2, "lFlag");
            return (Criteria) this;
        }

        public Criteria andLFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("L_FLAG not between", value1, value2, "lFlag");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbIsNull() {
            addCriterion("VC_YYZQLB is null");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbIsNotNull() {
            addCriterion("VC_YYZQLB is not null");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbEqualTo(String value) {
            addCriterion("VC_YYZQLB =", value, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbNotEqualTo(String value) {
            addCriterion("VC_YYZQLB <>", value, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbGreaterThan(String value) {
            addCriterion("VC_YYZQLB >", value, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbGreaterThanOrEqualTo(String value) {
            addCriterion("VC_YYZQLB >=", value, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbLessThan(String value) {
            addCriterion("VC_YYZQLB <", value, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbLessThanOrEqualTo(String value) {
            addCriterion("VC_YYZQLB <=", value, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbLike(String value) {
            addCriterion("VC_YYZQLB like", value, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbNotLike(String value) {
            addCriterion("VC_YYZQLB not like", value, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbIn(List<String> values) {
            addCriterion("VC_YYZQLB in", values, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbNotIn(List<String> values) {
            addCriterion("VC_YYZQLB not in", values, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbBetween(String value1, String value2) {
            addCriterion("VC_YYZQLB between", value1, value2, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYyzqlbNotBetween(String value1, String value2) {
            addCriterion("VC_YYZQLB not between", value1, value2, "vcYyzqlb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbIsNull() {
            addCriterion("VC_YYSCLB is null");
            return (Criteria) this;
        }

        public Criteria andVcYysclbIsNotNull() {
            addCriterion("VC_YYSCLB is not null");
            return (Criteria) this;
        }

        public Criteria andVcYysclbEqualTo(String value) {
            addCriterion("VC_YYSCLB =", value, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbNotEqualTo(String value) {
            addCriterion("VC_YYSCLB <>", value, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbGreaterThan(String value) {
            addCriterion("VC_YYSCLB >", value, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbGreaterThanOrEqualTo(String value) {
            addCriterion("VC_YYSCLB >=", value, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbLessThan(String value) {
            addCriterion("VC_YYSCLB <", value, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbLessThanOrEqualTo(String value) {
            addCriterion("VC_YYSCLB <=", value, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbLike(String value) {
            addCriterion("VC_YYSCLB like", value, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbNotLike(String value) {
            addCriterion("VC_YYSCLB not like", value, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbIn(List<String> values) {
            addCriterion("VC_YYSCLB in", values, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbNotIn(List<String> values) {
            addCriterion("VC_YYSCLB not in", values, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbBetween(String value1, String value2) {
            addCriterion("VC_YYSCLB between", value1, value2, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andVcYysclbNotBetween(String value1, String value2) {
            addCriterion("VC_YYSCLB not between", value1, value2, "vcYysclb");
            return (Criteria) this;
        }

        public Criteria andDrIsNull() {
            addCriterion("DR is null");
            return (Criteria) this;
        }

        public Criteria andDrIsNotNull() {
            addCriterion("DR is not null");
            return (Criteria) this;
        }

        public Criteria andDrEqualTo(Integer value) {
            addCriterion("DR =", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrNotEqualTo(Integer value) {
            addCriterion("DR <>", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrGreaterThan(Integer value) {
            addCriterion("DR >", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrGreaterThanOrEqualTo(Integer value) {
            addCriterion("DR >=", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrLessThan(Integer value) {
            addCriterion("DR <", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrLessThanOrEqualTo(Integer value) {
            addCriterion("DR <=", value, "dr");
            return (Criteria) this;
        }

        public Criteria andDrIn(List<Integer> values) {
            addCriterion("DR in", values, "dr");
            return (Criteria) this;
        }

        public Criteria andDrNotIn(List<Integer> values) {
            addCriterion("DR not in", values, "dr");
            return (Criteria) this;
        }

        public Criteria andDrBetween(Integer value1, Integer value2) {
            addCriterion("DR between", value1, value2, "dr");
            return (Criteria) this;
        }

        public Criteria andDrNotBetween(Integer value1, Integer value2) {
            addCriterion("DR not between", value1, value2, "dr");
            return (Criteria) this;
        }

        public Criteria andTsIsNull() {
            addCriterion("TS is null");
            return (Criteria) this;
        }

        public Criteria andTsIsNotNull() {
            addCriterion("TS is not null");
            return (Criteria) this;
        }

        public Criteria andTsEqualTo(String value) {
            addCriterion("TS =", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsNotEqualTo(String value) {
            addCriterion("TS <>", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsGreaterThan(String value) {
            addCriterion("TS >", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsGreaterThanOrEqualTo(String value) {
            addCriterion("TS >=", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsLessThan(String value) {
            addCriterion("TS <", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsLessThanOrEqualTo(String value) {
            addCriterion("TS <=", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsLike(String value) {
            addCriterion("TS like", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsNotLike(String value) {
            addCriterion("TS not like", value, "ts");
            return (Criteria) this;
        }

        public Criteria andTsIn(List<String> values) {
            addCriterion("TS in", values, "ts");
            return (Criteria) this;
        }

        public Criteria andTsNotIn(List<String> values) {
            addCriterion("TS not in", values, "ts");
            return (Criteria) this;
        }

        public Criteria andTsBetween(String value1, String value2) {
            addCriterion("TS between", value1, value2, "ts");
            return (Criteria) this;
        }

        public Criteria andTsNotBetween(String value1, String value2) {
            addCriterion("TS not between", value1, value2, "ts");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2IsNull() {
            addCriterion("L_ZQLBMX2 is null");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2IsNotNull() {
            addCriterion("L_ZQLBMX2 is not null");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2EqualTo(Integer value) {
            addCriterion("L_ZQLBMX2 =", value, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2NotEqualTo(Integer value) {
            addCriterion("L_ZQLBMX2 <>", value, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2GreaterThan(Integer value) {
            addCriterion("L_ZQLBMX2 >", value, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2GreaterThanOrEqualTo(Integer value) {
            addCriterion("L_ZQLBMX2 >=", value, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2LessThan(Integer value) {
            addCriterion("L_ZQLBMX2 <", value, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2LessThanOrEqualTo(Integer value) {
            addCriterion("L_ZQLBMX2 <=", value, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2In(List<Integer> values) {
            addCriterion("L_ZQLBMX2 in", values, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2NotIn(List<Integer> values) {
            addCriterion("L_ZQLBMX2 not in", values, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2Between(Integer value1, Integer value2) {
            addCriterion("L_ZQLBMX2 between", value1, value2, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx2NotBetween(Integer value1, Integer value2) {
            addCriterion("L_ZQLBMX2 not between", value1, value2, "lZqlbmx2");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1IsNull() {
            addCriterion("L_ZQLBMX1 is null");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1IsNotNull() {
            addCriterion("L_ZQLBMX1 is not null");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1EqualTo(Integer value) {
            addCriterion("L_ZQLBMX1 =", value, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1NotEqualTo(Integer value) {
            addCriterion("L_ZQLBMX1 <>", value, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1GreaterThan(Integer value) {
            addCriterion("L_ZQLBMX1 >", value, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1GreaterThanOrEqualTo(Integer value) {
            addCriterion("L_ZQLBMX1 >=", value, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1LessThan(Integer value) {
            addCriterion("L_ZQLBMX1 <", value, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1LessThanOrEqualTo(Integer value) {
            addCriterion("L_ZQLBMX1 <=", value, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1In(List<Integer> values) {
            addCriterion("L_ZQLBMX1 in", values, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1NotIn(List<Integer> values) {
            addCriterion("L_ZQLBMX1 not in", values, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1Between(Integer value1, Integer value2) {
            addCriterion("L_ZQLBMX1 between", value1, value2, "lZqlbmx1");
            return (Criteria) this;
        }

        public Criteria andLZqlbmx1NotBetween(Integer value1, Integer value2) {
            addCriterion("L_ZQLBMX1 not between", value1, value2, "lZqlbmx1");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}